<?php
/*
Plugin Name: XSD Snapr
Plugin URI: http://tagg.selfip.com/blog/wordpress-plugin-snapr/
Description: Snapr simply integrates <a href="http://www.websnapr.com">WebSnapr</a>-Script in your Wordpress blog. Adds preview bubble to all external links.
Version: 1.51
Author: XSized
Author URI: http://tagg.selfip.com/blog/wordpress-plugin-snapr/
*/

/*
Javascript for Preview-Bubbles by WebSnapr - http://www.websnapr.com
/*

/*
Instruction:

Copy the complete folder "XSD_Snapr" with all included files
into your wordpress plugin directory "/wp-content/plugins/"
and activate the plugin in the Admin-area.


*/

$snapr_data = get_option('snapr_data');


if ('insert' == $HTTP_POST_VARS['action'])
{
    update_option("snapr_data",$HTTP_POST_VARS['snapr_data']);
}


function Snapr_option_page() {
	$snapr_data = get_option('snapr_data');
	?>

<!-- Optionen im Adminbereich -->
        <div class="wrap">
          <h2>Options for Snapr</h2>
          If "Permanent active" is <strong>"Yes"</strong>, Snapr will show WebSnapr preview bubbles for every external link.<br/><br/>
          Select <strong>"No"</strong> to enable preview for every link manually. You then have to add <br/>
          <code><i>class="previewlink"</i></code> in link tag where you want to show previews bubbles.<br/><br/>
          <form name="form1" method="post" action="<?=$location ?>">
          	<table>
          		<tr style="vertical-align:middle;">
									<td width="150">Permanent active:</td>
									<td style="vertical-align:left;">
										<select name="snapr_data" id="snapr_data">
        	  					<option <?php if(get_option('snapr_data') == 'no' || '') { echo 'selected'; } ?> value="no">No</option>
											<option <?php if(get_option('snapr_data') == 'yes') { echo 'selected'; } ?> value="yes">Yes</option>
										</select>
                		<input name="action" value="insert" type="hidden" />
                	</td>
                </tr>
              </table
              <p><div class="submit"><input type="submit" value="Save"  style="font-weight:bold;" /></div></p>
          </form>
        </div>

<?php
} // End Snapr_option_page()

// Adminmenu Optionen
function Snapr_add_menu() {
  	add_options_page('Snapr Plugin', 'Snapr', 9, __FILE__, 'Snapr_option_page'); 
}


function Snapr_header() {
		$Snapr_pluginpath = get_settings('home')."/wp-content/plugins/XSD_Snapr/";
	
		$SnaprHead = "\n<!-- Snapr Plugin -->\n";
		$SnaprHead.= "<script type=\"text/javascript\">var bubbleImagePath=\"".$Snapr_pluginpath ."bg.png\"</script>\n";
		$SnaprHead.= "<script type=\"text/javascript\" src=\"". $Snapr_pluginpath ."previewbubble.js\"></script>\n";
		$SnaprHead.= "<!-- /Snapr Plugin -->\n";
		print($SnaprHead);
}


function Snapr_insert($content = '') {
		global $snapr_data;
		
		if ($snapr_data == 'yes'){
			if (function_exists('str_ireplace')) {
				$content = str_ireplace('href="http://','class="previewlink" href="http://',$content);
				$content = str_ireplace('class="previewlink" href="' . get_settings("siteurl"),'href="' . get_settings("siteurl"),$content);
			} else {
				$content = str_replace('href="http://','class="previewlink" href="http://',$content);
				$content = str_replace('class="previewlink" href="' . get_settings("siteurl"),'href="' . get_settings("siteurl"),$content);
			}
		} 
		return $content;
		
}

// Head-Action
add_action('wp_head', 'Snapr_header');
add_action('the_content', 'Snapr_insert');
add_action('admin_menu', 'Snapr_add_menu');
?>